c    @(#)sinitial.f	1.1
c
c
c
      subroutine sinitial(t)
c
c --- it call getfld for the first and second day of data
c --- preparing the arrays for interp
c
      include'qg_par.inc'
      common/user/pram(16)
      common/field/psi(mn0,k0),zeta(mn0,k0),tlast,day1,tkeep,
     +  curpsi(mn0,k0),curzet(mn0,k0),psiprv(mn0,k0),zetprv(mn0,k0),
     +  topprv(mn0),topcur(mn0),topdens(mn0)
c
c
c --- skip in the data set
c
        iskip=pram(5)
        if(iskip.eq.0) go to 100
        do 99 i=1,iskip
        call getfld(psiprv,zetprv,topprv,t)
   99   continue
100     continue
        call getfld(psiprv,zetprv,topprv,t)
        tlast=day1
c       tlast=pram(6)
        call getfld(curpsi,curzet,topcur,t)
      return
      end
